﻿@model PagedList.IPagedList<Cdio447.Areas.Admin.Models.withdrawl_histories_View>
@using PagedList.Mvc;
@using Cdio447.Supports;
@{
    ViewBag.Title = "Lịch sử rút tiền";
    Layout = "~/Areas/Admin/Views/Shared/_Layout.cshtml";
}
@section jsFooter{
    <script src="~/Content/assets/admin/js/controller/transactionHistoryController.js"></script>
}
<div class="form-row align-items-center mb-1">
    <div class="col-12 py-2 py-lg-0 col-lg-auto">
        <input type="button" class="btn btn_template" value="Lịch sử nạp tiền" onclick="location.href='@Url.Action("Recharge","TransactionHistory")'" />
    </div>
    <div class="col-12 py-2 py-lg-0 col-lg-auto">
        <input type="button" class="btn btn_template" value="Lịch sử rút tiền" onclick="location.href='@Url.Action("Withdrawl","TransactionHistory")'" />
    </div>
</div>
<div class="box-title-section">
    <h1 class="m-0">Danh sách giao dịch rút tiền</h1>
</div>
@using (Html.BeginForm("Withdrawl", "TransactionHistory", FormMethod.Get))
{
    <div class="form-row align-items-center">
        <div class="col-12 py-2 py-lg-0 col-lg-auto">
            <input type="text" value="@ViewBag.SearchString" class="form-control" name="searchString" placeholder="Nhập tên user" />
        </div>
        <div class="col-12 py-2 py-lg-0 col-lg-auto">
            @Html.DropDownList("status", new List<SelectListItem>{
                new SelectListItem { Text="All", Value="0"},
                new SelectListItem { Text="Đã thanh toán", Value="2"},
                new SelectListItem { Text="Chưa thanh toán", Value="1"}}, new { @class = "form-control h-auto" })
        </div>
        <div class="col-12 col-lg-auto">
            <button class="btn btn-primary" type="submit" id="btnSearch">Tìm kiếm</button>
        </div>
    </div>
}
<div class="table-box">
    <table class="table table-bordered">
        <thead>
            <tr>
                <th hidden>id</th>
                <th>
                    User
                </th>
                <th>
                    Tên chủ tài khoản
                </th>
                <th>
                    Số tài khoản
                </th>
                <th>
                    Tổng tiền rút
                </th>
                <th>
                    Trạng thái
                </th>
                <th>
                    Ngày thực hiện
                </th>
            </tr>
        </thead>

        <tbody id="tblData">
            @foreach (var item in Model)
            {
            <tr id="row_@item.id">

                <td>@item.user_name</td>
                <td>@item.account_name</td>
                <td>@item.account_code</td>
                <td>@FunctionSupport.convertVND((decimal)item.total, " - VND")</td>
                @if (item.status == 1)
                {
                    <td><span class="label label-success">Đã thanh toán</span></td>
                }
                else
                {
                    <td><span class="label label-danger">Đang xử lý</span></td>
                }
                <td>@item.created_at</td>
                <td><a href='javascript:window.location.reload();' class="btn-active" data-id="@item.id">@Html.Raw(item.status == 1 ? "<strong>Xác nhận</strong>" : "")</a></td>
            </tr>
            }
        </tbody>
    </table>
    <div>
        @Html.PagedListPager(Model, page => Url.Action("Withdrawl", new { page, @searchString = @ViewBag.SearchString, @status = @ViewBag.status }))
    </div>
</div>